/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomHTMLMapElement_H__
#define __GdomHTMLMapElement_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomHTMLElement.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomHTMLMapElement GdomHTMLMapElement;
typedef struct _GdomHTMLMapElementClass GdomHTMLMapElementClass;


#define GDOM_TYPE_HTML_MAP_ELEMENT            (gdom_html_map_element_get_type())
#define GDOM_HTML_MAP_ELEMENT(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_HTML_MAP_ELEMENT, GdomHTMLMapElement))
#define GDOM_HTML_MAP_ELEMENT_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_HTML_MAP_ELEMENT, GdomHTMLMapElement)Class)
#define GDOM_IS_HTML_MAP_ELEMENT(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_HTML_MAP_ELEMENT))
#define GDOM_IS_HTML_MAP_ELEMENT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_HTML_MAP_ELEMENT))
#define GDOM_HTML_MAP_ELEMENT_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_HTML_MAP_ELEMENT, GdomHTMLMapElementClass))

typedef struct _GdomHTMLMapElementPrivate GdomHTMLMapElementPrivate;

struct _GdomHTMLMapElement {
    GdomHTMLElement parent_instance;
    GdomHTMLMapElementPrivate *priv;
};

struct _GdomHTMLMapElementClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_html_map_element_get_type (void);

G_END_DECLS

#endif /* __GdomHTMLMapElement_H__ */
